import sys

def getFloatValue(message):
	try:
		data1 = float(input(message))
	except:
		print(f"Invalid value for a floating point number. ")
		sys.exit(-2)
	return data1

data1 = getFloatValue("Enter value for the dividend ")
data2 = getFloatValue("Enter value for the divisor ")

try:
	quotient = data1/data2
	print(f"{data1}/{data2} = {quotient}")
except:
	print(f"Invalid value. Division by zero is not allowed.")
	sys.exit(-1)
